summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorParabola git <git@parabola.nu>2020-11-12 05:00:02 +0000
committerParabola git <git@parabola.nu>2020-11-12 05:00:02 +0000
commit8bbdc0baf4b04c69143159fb62dc751fc25e558e (patch)
tree0e7309a8ea7df51ed5c96252dd5ab6d1e3f00559
parentd1ca5130fbcce4070d5f235bc9cfc050794e9c2d (diff)
Update from cron
-rwxr-xr-xabslibre/abslibre.git/hooks/commit-msg18
-rwxr-xr-xabslibre/abslibre.git/hooks/pre-receive13
2 files changed, 18 insertions, 13 deletions
diff --git a/abslibre/abslibre.git/hooks/commit-msg b/abslibre/abslibre.git/hooks/commit-msg
new file mode 100755
index 0000000..b46ace0
--- /dev/null
+++ b/abslibre/abslibre.git/hooks/commit-msg
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+set -e
+
+readonly REBUILD_PKGS=(
+ libre/lxappearance-obconf-gtk3
+)
+
+
+# rebuild/sign per autobuilder
+#for pkg in ${REBUILD_PKGS[@]}
+#do echo '==> Rebuilding ${pkg} ...'
+# ~autobuilder/.local/bin/autobuild ${pkg}
+#done
+echo '==> Rebuilding ${pkg} ...'
+if [[ "$1" =~ ^\[([^/]*/([^/]*)\]: autobuild$ ]]
+then ~autobuilder/.local/bin/autobuild ${pkg}
+fi
+
diff --git a/abslibre/abslibre.git/hooks/pre-receive b/abslibre/abslibre.git/hooks/pre-receive
deleted file mode 100755
index b00ba51..0000000
--- a/abslibre/abslibre.git/hooks/pre-receive
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/usr/bin/env bash
-set -e
-
-readonly REBUILD_PKGS=(
- libre/lxappearance-obconf-gtk3
-)
-
-
-# rebuild/sign per autobuilder
-for pkg in ${REBUILD_PKGS[@]}
-do echo '==> Rebuilding ${pkg} ...'
- ~autobuilder/.local/bin/autobuild ${pkg}
-done